package com.ningdatech.pmapi.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 用户信息表
 * </p>
 *
 * @author Liuxinxin
 * @since 2023-01-04
 */
@TableName("nd_user_info")
@ApiModel(value = "UserInfo对象", description = "用户信息表")
public class UserInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改人")
    private Long updateBy;

    @ApiModelProperty("用户名（登陆账号）")
    private String username;

    @ApiModelProperty("手机")
    private String mobile;

    @ApiModelProperty("用户真实姓名")
    private String realName;

    @ApiModelProperty("所属公司id")
    private Long companyId;

    @ApiModelProperty("所属公司名称")
    private String companyName;

    @ApiModelProperty("用户角色")
    private String role;

    @ApiModelProperty("区域id")
    private Long regionCode;

    @ApiModelProperty("头像文件id")
    private Long avatarFileId;

    @ApiModelProperty("所负责的公司id列表")
    private String manageCompanyIds;

    @ApiModelProperty("是否删除")
    private Boolean deleted;

    @ApiModelProperty("身份证号")
    private String idCard;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public LocalDateTime getCreateOn() {
        return createOn;
    }

    public void setCreateOn(LocalDateTime createOn) {
        this.createOn = createOn;
    }
    public LocalDateTime getUpdateOn() {
        return updateOn;
    }

    public void setUpdateOn(LocalDateTime updateOn) {
        this.updateOn = updateOn;
    }
    public Long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Long createBy) {
        this.createBy = createBy;
    }
    public Long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Long updateBy) {
        this.updateBy = updateBy;
    }
    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }
    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }
    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }
    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }
    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }
    public Long getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(Long regionCode) {
        this.regionCode = regionCode;
    }
    public Long getAvatarFileId() {
        return avatarFileId;
    }

    public void setAvatarFileId(Long avatarFileId) {
        this.avatarFileId = avatarFileId;
    }
    public String getManageCompanyIds() {
        return manageCompanyIds;
    }

    public void setManageCompanyIds(String manageCompanyIds) {
        this.manageCompanyIds = manageCompanyIds;
    }
    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }
    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    @Override
    public String toString() {
        return "UserInfo{" +
            "id=" + id +
            ", createOn=" + createOn +
            ", updateOn=" + updateOn +
            ", createBy=" + createBy +
            ", updateBy=" + updateBy +
            ", username=" + username +
            ", mobile=" + mobile +
            ", realName=" + realName +
            ", companyId=" + companyId +
            ", companyName=" + companyName +
            ", role=" + role +
            ", regionCode=" + regionCode +
            ", avatarFileId=" + avatarFileId +
            ", manageCompanyIds=" + manageCompanyIds +
            ", deleted=" + deleted +
            ", idCard=" + idCard +
        "}";
    }
}
